#include <cstdint>
#include <cstdlib>
#include <iomanip>
#include <ios>
#include <iostream>
#include <istream>
#include <ostream>

using ll = int64_t;
const ll maxn = 1250;
double dp[maxn+5][maxn+5];

int main(){
    std::iostream::sync_with_stdio(false),std::cin.tie(nullptr),std::cout.tie(nullptr);
    
    const ll n = []()->ll{ll n;std::cin>>n;return n/2;}();
    for(ll i=2;i<=n;i++){
        dp[i][0]=dp[0][i]=1.0;
    }
    for(ll i=1;i<=n;i++){
        for(ll j=1;j<=n;j++){
            dp[i][j]=(dp[i-1][j]+dp[i][j-1])/2;
        }
    }
    
    std::cout<<std::fixed<<std::setprecision(4)<<dp[n][n]<<'\n';
    std::flush(std::cout);
    quick_exit(0);
}